# NodeTransformationProperty

#### new Cesium.NodeTransformationProperty(options)
DataSources/NodeTransformationProperty.js 20

A `Property` that produces `TranslationRotationScale` data.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`translation` | Property | Cartesian3 | `Cartesian3.ZERO` | optional A `Cartesian3` Property specifying the (x, y, z) translation to apply to the node.
`rotation` | Property | Quaternion | `Quaternion.IDENTITY` | optional A `Quaternion` Property specifying the (x, y, z, w) rotation to apply to the node.
`scale` | Property | Cartesian3 | `new Cartesian3(1.0, 1.0, 1.0)` | optional A `Cartesian3` Property specifying the (x, y, z) scaling to apply to the node.

### Members

#### readonly definitionChanged : Event
DataSources/NodeTransformationProperty.js 64

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonly isConstant : Boolean
DataSources/NodeTransformationProperty.js 45

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### rotation : Property|undefined
DataSources/NodeTransformationProperty.js 84

Gets or sets the `Quaternion` Property specifying the (x, y, z, w) rotation to apply to the node.

Default Value: `Quaternion.IDENTITY`

#### scale : Property|undefined
DataSources/NodeTransformationProperty.js 92

Gets or sets the `Cartesian3` Property specifying the (x, y, z) scaling to apply to the node.

Default Value: `new Cartesian3(1.0, 1.0, 1.0)`

#### translation : Property|undefined
DataSources/NodeTransformationProperty.js 76

Gets or sets the `Cartesian3` Property specifying the (x, y, z) translation to apply to the node.

Default Value: `Cartesian3.ZERO`

### Methods

#### equals(other) → Boolean
DataSources/NodeTransformationProperty.js 135

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → TranslationRotationScale
DataSources/NodeTransformationProperty.js 102

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | TranslationRotationScale | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.